*-----------demo function: nlep.f------------------
        real function nlep(ptcut)
        implicit none
        include 'rantpl3.inc'
        integer i
        real ptcut

        nlep=0
*-----------------muon pairs------------------------
        if(nisomu.gt.0) then
           do i=1,nisomu
              if (pmu(3,i).gt.ptcut) then
                 nlep = nlep + 1
              endif
           enddo
        endif
*----------------electron pairs----------------------
        if(nel.gt.0) then
           do i=1,nel
              if(pel(3,i).gt.ptcut) then
                 nlep = nlep + 1
              endif
           enddo
        endif
        return
        end
*----------------end of nlep.f----------------------


